Get a card.
curl --request GET \
--url https://api.hubapi.com/crm/v3/extensions/cards-dev/{appId}/{cardId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/v3/extensions/cards-dev/{appId}/{cardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/v3/extensions/cards-dev/{appId}/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": {
"baseUrls": [
"https://www.example.com/hubspot"
]
},
"auditHistory": [
{
"applicationId": 123,
"changedAt": 123,
"initiatingUserId": 123,
"objectTypeId": 123
}
],
"display": {
"properties": [
{
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>"
}
]
}
]
},
"fetch": {
"objectTypes": [
{
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>"
},
"id": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}CRM cards
Retrieve a CRM card
Returns the definition for a card with the given ID.
GET
/
crm
/
v3
/
extensions
/
cards-dev
/
{appId}
/
{cardId}
Get a card.
Supported products
Supported products
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The id of the app containing the Legacy CRM Card.
The id of the Legacy CRM Card
Response
successful operation
Configuration for custom user actions on cards.
Show child attributes
Show child attributes
Example:
{
"baseUrls": ["https://www.example.com/hubspot"]
}
A list of actions performed on the card, including creation, deletion, and updates.
Show child attributes
Show child attributes
Configuration for displayed info on a card
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The unique id of the card.
The top-level title for this card. Displayed to users in the CRM UI.
The date and time when the card was created.
The date and time when the card was last updated.
Last modified on March 30, 2026
Was this page helpful?
⌘I